Status: CLOSED Start date: 2022-09-05
Priority: High Due date:

Assignee: SZHW Test-00 O O % Done: 100%
Category: BSP Estimated time: 0.00 hour
Target version: 0000 O bugList

Need_Info: - Found Version: 2022.08.25
Resolution: FIXED Degrated: No
Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause: goooMCcudoobooobobooboo
Description
History

#1-2022-09-0515:42-0 000 _Sb30 OO
- Assigneesetto SZ-O0 O 0O 0 _SD30O O

#2 - 2022-09-1411:32-CD TPM-0 0 O
- Category set to EE

#3 - 2022-09-16 15:00 - SZ HW Test-00 O O
- Subject changed from O FigureD D EVTO OO0 O000EGOOOOO0OO0O0O0OO0O0O000O0000O00O00O0000ODO toOFigured OEVTOO
0000odee0 000000000000 O0O0O0GBVOOWIFDDODDODODDOODODDODODODOODODOODODOOOD l06VOOOOOOOOOOOO

goooooooooooooooooooooowiFDooDoooooooooDooDo

#4 - 2022-09-23 16:29 - IOT-SP-TEST L O
- Assignee changed fromSZ-O0 0 0 O _SD30 0 toCDTPM-0 O O

ClassCcOOOOOOOoosooonong

#5 - 2022-09-26 16:46 - CD TPM-0 0 O
- Assignee changed from CD TPM-0O O O to CD BSP-0O0 O

HioOO
goooooooMcocuoooooood

#6 - 2022-09-26 16:46 - CD TPM-0 0O O
- Category changed from EE to BSP

#7 - 2022-09-26 16:51 - CD BSP-0 O
- File FigureApp.mot added
- % Done changed from 0 to 80

gboooobooooooo0boOoOOAFDOOO0ObOOO0OObOAFOODOOOODOOOODOOOO

#8-2022-09-2711:21-0 0000 0 -RD3_CDTSO O
- Target version set to 0 00 O O O bugList

#9 - 2022-10-18 10:23 - CD BSP-O O

- File FigureV/0.0.1.20221013.1.mot added

- Status changed from New to RESOLVED

- % Done changed from 80 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

-Rootcausesetto 0 OO0 OMCUO OO OOOOOOOOOOOOO

MCcuOOoOOooooo
FigureV0.0.1.20221013.1.mot
socoonQ
gooobobooboooo

oooooooooo

#10 - 2022-10-18 10:24 - CD BSP-00 O

- Assignee changed from CD BSP-0 0 to SZ HW Test-0 O O

#11 - 2022-10-21 13:53 - SZ HW Test-0 O O

- Status changed from RESOLVED to VERIFIED

vOoOooosvOOoOoooo0oO0oo00000000000000PASS

#12 - 2022-10-21 13:53 - SZ HW Test-0 O O

- Status changed from VERIFIED to CLOSED

#13 - 2022-12-22 20:38 - CD FW-0 O

Gerrit Merge Informationd

1D Project

Branch

Uploader

152609 Pre_figure/mcu

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

jie.chen@thundersoft.com
BSP:MCU: MCU code buring up, storage, and feature integrationThis commit protects the following functions:1. Buring up of MCU code2. Solve the power-on
and power-on sequence bug3. Increase the voltage protection function4. MCU firmware upgrade functionTC-RID: 1201-0102701TC-RID:
1201-0102703TC-RID: 1201-0102704lssuelD: TS-R-BUG-111416lssuelD: TS-R-BUG-111734lssuelD: TS-R-BUG-111732IssuelD: TS-R-BUG-112002IssuelD:
TS-R-DF-1114211Issuel D: TS-R-DF-1120991ssuel D: TS-R-DF-110660IssuelD: TS-R-DF-110663IssuelD: TS-R-DF-110664Change-1d:
lach3bbd40b9278405f21f5d34d741dfe08c3c4ff

#14 - 2022-12-22 20:39 - CD FwW-0 O

Gerrit Merge Information]

1D

Project

Branch

Uploader

152787

general/vendor/tc/mcu

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: MCU: Add firmware for MCU programming and upgradeThe firmware version information is \V0.0.1, which is the initial version. Implementation function:1.
Increase the power-on sequence2. Increase the voltage protection function3. Add version informationTC-RID: 1201-0102701TC-RID: 1201-0102703TC-RID:
1201-01027041ssuel D: TS-R-BUG-111416lssuelD: TS-R-BUG-111734lssuelD: TS-R-BUG-111732IssuelD: TS-R-BUG-112002Issuel D:
TS-R-DF-1114211IssuelD: TS-R-DF-1120991ssuel D: TS-R-DF-110660IssuelD: TS-R-DF-1106631ssuelD: TS-R-DF-110664Change-1d:
1047h1483f360d87a7a080b1470eb836chc620a06e

#15 - 2022-12-22 20:42 - CD FwW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

154928

Pre_figure/mcu

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

jie.chen@thundersoft.com
BSP:MCU: Functional integration version of the MCUThis version contains the following functions:1.Improve the overvoltage protection function and increase
theover-voltage protection communication with the MMU;2.Improve the function of power-on and power-up sequence, andfix the problem that the boot screen
is not displayed;3.increase the can communication through, currently only openthe can's transceiver, there is no integration of other can's functions.TC-RID:
1201-0102701TC-RID: 1201-0102703TC-RID: 1201-0102704lssuelD: TS-R-BUG-111416lssuelD: TS-R-BUG-111734lssuelD: TS-R-BUG-111732Issuel D:
TS-R-BUG-112002Issuel D: TS-R-DF-111421IssuelD: TS-R-DF-1120991ssuel D: TS-R-DF-1106601ssuelD: TS-R-DF-110663IssuelD:
TS-R-DF-110664Change-Id: 10c7022c0c6e09e54f1b390deb1fb0df27ece4a38d

Files
FigureApp.mot 77.5KB 2022-09-26 CDBSP-0 O
FigureV0.0.1.20221013.1.mot 299 KB 2022-10-18 CDBSP-0 O
